CREATE OR REPLACE PACKAGE http AS

  -- HTTP POST a document to url and return response

  PROCEDURE post(doc                   VARCHAR2,
                 content_type          VARCHAR2,
                 url                   VARCHAR2,
                 resp              OUT VARCHAR2,
                 resp_content_type OUT VARCHAR2,
                 proxyServer           VARCHAR2 := NULL,
                 proxyPort             NUMBER   := 80);

  -- HTTP GET resource at url and return response as an XML document

  PROCEDURE get(url                   VARCHAR2,
                resp              OUT VARCHAR2,
                resp_content_type OUT VARCHAR2,
                proxyServer           VARCHAR2 := NULL,
                proxyPort             NUMBER   := 80);

END;
