SET SERVEROUTPUT ON
DECLARE
  xmlClob CLOB;
  wellFormed BOOLEAN;
  parseError VARCHAR2(200);
BEGIN

  -- Select the CLOB for the document named 'syntaxError.xml' into a variable
  SELECT xmldoc
    INTO xmlClob
    FROM xml_documents
  WHERE docname = 'syntaxError.xml';

  -- Check it for XML Well-formedness
  checkXMLInCLOB(xmlClob,wellFormed,parseError);

  -- Print out an error if it was not well-formed.
  IF NOT wellFormed THEN
    dbms_output.put_line(parseError);
  END IF;
END;