<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Handle Even/Odd Formatting of Rows Using CSS Classes "tr0" and "tr1" -->
  <xsl:template match="ROW">
    <tr class="tr{position() mod 2}"><xsl:apply-templates/></tr>
  </xsl:template>
  <!-- "Utility" template to format money is a common way -->
  <xsl:template name="moneyCell">
    <td align="right"><xsl:value-of select="format-number(.,'$0.00')"/></td>
  </xsl:template>
</xsl:stylesheet>
