<!-- NoPriceColor.xsl: Suppress Color attribute and Price Element -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Import the identity transformation. -->
  <xsl:import href="Identity.xsl"/>
  <!-- Strip text nodes that are all whitespace -->
  <xsl:strip-space elements="*"/>
  <!-- Indent the result -->
  <xsl:output indent="yes"/>
  <!-- Whenever you match a Color attribute or Price element, do nothing -->
  <xsl:template match="@Color|Price"/>
</xsl:stylesheet>
