CREATE PROCEDURE ShowBigMovers( theSymbol VARCHAR2 ) IS
  CURSOR c_BigMovers (cp_Symbol VARCHAR2 DEFAULT '%')
      IS SELECT symbol, price, change
           FROM quotes
          WHERE change > 3.00
            AND symbol LIKE '%'||cp_Symbol||'%';
BEGIN
  FOR curQuote IN c_BigMovers( theSymbol )
  LOOP
    DBMS_OUTPUT.PUT_LINE(' Symbol: '||curQuote.symbol||
                         '  Price: '||curQuote.price ||
                         ' Change: '||curQuote.change);
  END LOOP;
END ShowBigMovers;
