	/*@lineinfo:filename=ShowPortfolio.jsp*/
	/*@lineinfo:generated-code*/
package ch11;

import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import java.beans.*;
import AdvertisementBean;
import ConnectionBean;
import QueryBean;


public class ShowPortfolio extends oracle.jsp.runtime.HttpJsp {

	public final String _globalsClassName = null;

	// ** Begin Declarations


	// ** End Declarations

	public void _jspService(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {

		/* set up the intrinsic variables using the pageContext goober:
		** session = HttpSession
		** application = ServletContext
		** out = JspWriter
		** page = this
		** config = ServletConfig
		** all session/app beans declared in globals.jsa
		*/
		JspFactory factory = JspFactory.getDefaultFactory();
		PageContext pageContext = factory.getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
		// Note: this is not emitted if the session directive == false
		HttpSession session = pageContext.getSession();
		if (pageContext.getAttribute(OracleJspRuntime.JSP_REQUEST_REDIRECTED, PageContext.REQUEST_SCOPE) != null) {
			pageContext.setAttribute(OracleJspRuntime.JSP_PAGE_DONTNOTIFY, "true", PageContext.PAGE_SCOPE);
			factory.releasePageContext(pageContext);
			return;
}
		ServletContext application = pageContext.getServletContext();
		JspWriter out = pageContext.getOut();
		ShowPortfolio page = this;
		ServletConfig config = pageContext.getServletConfig();

		try {
			// global beans
			// end global beans


			out.println( "<?xml version=\"1.0\"?>");
			out.println( "<Portfolio>");
			out.print( "  <Date>");
			/*@lineinfo:user-code*//*@lineinfo:3^1*/out.print(  new Date() );
			/*@lineinfo:generated-code*/
			out.println( "</Date>");
			/*@lineinfo:translated-code*//*@lineinfo:4^1*/ConnectionBean dbConn;
			if ((dbConn = (ConnectionBean) pageContext.getAttribute( "dbConn", PageContext.PAGE_SCOPE)) == null) {
				dbConn = (ConnectionBean) new ConnectionBean();
				pageContext.setAttribute( "dbConn", dbConn, PageContext.PAGE_SCOPE);
				/*@lineinfo:generated-code*/
				out.println( "");
			/*@lineinfo:translated-code*/			}
/*@lineinfo:5^1*/QueryBean client;
			if ((client = (QueryBean) pageContext.getAttribute( "client", PageContext.PAGE_SCOPE)) == null) {
				client = (QueryBean) new QueryBean();
				pageContext.setAttribute( "client", client, PageContext.PAGE_SCOPE);
				/*@lineinfo:generated-code*/
				out.println( "");
			/*@lineinfo:translated-code*/			}
/*@lineinfo:6^1*/QueryBean quotes;
			if ((quotes = (QueryBean) pageContext.getAttribute( "quotes", PageContext.PAGE_SCOPE)) == null) {
				quotes = (QueryBean) new QueryBean();
				pageContext.setAttribute( "quotes", quotes, PageContext.PAGE_SCOPE);
				/*@lineinfo:generated-code*/
				out.println( "");
			/*@lineinfo:translated-code*/			}
			/*@lineinfo:user-code*//*@lineinfo:7^1*/client.setConnection(dbConn.getConnection());
			   quotes.setConnection(dbConn.getConnection());
			   client.setQuery("SELECT givenname, surname"+
			                   "  FROM client_table"+
			                   " WHERE id = " + request.getParameter("id"));
			   quotes.setQuery("SELECT q.symbol, q.price, q.change"+
			                   "  FROM quotes q, portfolio_stocks ps"+
			                   " WHERE q.symbol = ps.symbol "+
			                   "   AND ps.owner = " + request.getParameter("id")); 
			/*@lineinfo:generated-code*/
			out.println( "");
			/*@lineinfo:user-code*//*@lineinfo:16^1*/while (client.next()) { 
			/*@lineinfo:generated-code*/
			out.println( "");
			out.println( " <Customer>");
			out.println( "   <Name>");
			out.print( "     <First>");
			/*@lineinfo:user-code*//*@lineinfo:19^1*/out.print(  client.column(1) );
			/*@lineinfo:generated-code*/
			out.println( "</First>");
			out.print( "     <Last>");
			/*@lineinfo:user-code*//*@lineinfo:20^1*/out.print(   client.column(2) );
			/*@lineinfo:generated-code*/
			out.println( "</Last>");
			out.println( "   </Name>");
			out.println( " </Customer>");
			/*@lineinfo:user-code*//*@lineinfo:23^1*/} client.close(); 
			/*@lineinfo:generated-code*/
			out.println( "");
			out.println( "<Quotes>");
			/*@lineinfo:user-code*//*@lineinfo:25^1*/while (quotes.next()) { 
			/*@lineinfo:generated-code*/
			out.println( "");
			out.println( "  <Quote>");
			out.print( "    <Symbol>");
			/*@lineinfo:user-code*//*@lineinfo:27^1*/out.print(  quotes.column(1) );
			/*@lineinfo:generated-code*/
			out.println( "</Symbol>");
			out.print( "    <Price>");
			/*@lineinfo:user-code*//*@lineinfo:28^1*/out.print(   quotes.column(2) );
			/*@lineinfo:generated-code*/
			out.println( "</Price>");
			out.print( "    <Change>");
			/*@lineinfo:user-code*//*@lineinfo:29^1*/out.print(  quotes.column(3) );
			/*@lineinfo:generated-code*/
			out.println( "</Change>");
			out.println( "  </Quote>");
			/*@lineinfo:user-code*//*@lineinfo:31^1*/} quotes.close(); dbConn.close(); 
			/*@lineinfo:generated-code*/
			out.println( "");
			out.println( "</Quotes>");
			out.println( "</Portfolio>");

			out.flush();

		}
		catch( Exception e) {
			try {
				if (out != null) out.clear();
			}
			catch( Exception clearException) {
			}
			pageContext.handlePageException( e);
		}
		finally {
			if (out != null) out.close();
			factory.releasePageContext(pageContext);
		}

	}
}
