<!-- creditcardauth-to-rowset.xsl -->
<ROWSET xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:version="1.0">
  <xsl:for-each select="AuthorizationRequest">
    <ROW>
      <REQUEST_DATE><xsl:value-of select="Date"/></REQUEST_DATE>
      <CARD_NUMBER><xsl:value-of select="CardNumber"/></CARD_NUMBER>
      <EXP_MONTH><xsl:value-of select="substring(Expiration,1,2)"/></EXP_MONTH>
      <EXP_YEAR><xsl:value-of select="substring(Expiration,4)"/></EXP_YEAR>
      <AMOUNT><xsl:value-of select="Amount"/></AMOUNT> 
      <CURRENCY><xsl:value-of select="Amount/@Currency"/></CURRENCY>
      <MERCHANT_ID><xsl:value-of select="MerchantId"/></MERCHANT_ID>
    </ROW>
  </xsl:for-each>
</ROWSET>