<!-- features-frag-to-elts.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <xsl:include href="identity.xsl"/>
  <!-- 
   | <features> is a column with embedded XML markup in its
   | corresponding column in the database. By disabling
   | the output escaping it will be included verbatim
   | (i.e. angle-brackets intact instead of &lt; and &gt;)
   | in the resulting document
   +-->
  <xsl:template match="features">
    <features>
      <xsl:value-of select="." disable-output-escaping="yes"/>
    </features>
  </xsl:template>
</xsl:stylesheet>
