<!-- EmpHexUpper.xsl: Illustrate calling instance methods -->
<xsl:stylesheet version="1.0" exclude-result-prefixes="Int"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:Int="http://www.oracle.com/XSL/Transform/java/java.lang.Integer"
     xmlns:Str="http://www.oracle.com/XSL/Transform/java/java.lang.String">
  <xsl:import href="TableBaseWithCSS.xsl"/>
  <xsl:template match="SAL">
    <!-- Invoke public static toHexString() method on current node "." -->
    <xsl:variable name="HexSal" select="Int:toHexString(.)"/>
    <!-- Invoke instance method on the String instance returned -->
    <td align="right"><xsl:value-of select="Str:toUpperCase($HexSal)"/></td>
  </xsl:template>
</xsl:stylesheet>

