<!-- Created by GenerateInsertTransform.xsl -->
<!-- InsertPostedReply.xsl: Insert transform for forum_topic_posting table -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- Transform /request/parameters into ROWSET for forum_topic_posting -->
   <xsl:template match="/">
      <ROWSET>
         <!-- XPath for repeating source rows -->
         <xsl:for-each select="/request/parameters">
            <ROW>
<!-- Don't need this one because insert trigger handles its assignment
               <ID>
                  <xsl:value-of select="ID"/>
               </ID>
-->
               <TOPICID>
                  <xsl:value-of select="id"/>
               </TOPICID>
               <USERID>
                  <xsl:value-of select="userid"/>
               </USERID>
<!-- Don't need this one because insert trigger handles its assignment
               <POSTED>
                  <xsl:value-of select="POSTED"/>
               </POSTED>
-->
               <POSTING>
                  <xsl:value-of select="posting"/>
               </POSTING>
            </ROW>
         </xsl:for-each>
      </ROWSET>
   </xsl:template>
</xsl:stylesheet>
