<!-- Created by GenerateInsertTransform.xsl -->
<!-- InsertPostedTopic.xsl: Insert transform for forum_new_topic table -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- Transform /request/parameters into ROWSET for forum_new_topic -->
   <xsl:template match="/">
      <ROWSET>
         <!-- XPath for repeating source rows -->
         <xsl:for-each select="/request/parameters">
            <ROW>
               <FORUMID>
                  <xsl:value-of select="id"/>
               </FORUMID>
               <TITLE>
                  <xsl:value-of select="title"/>
               </TITLE>
               <USERID>
                  <xsl:value-of select="userid"/>
               </USERID>
               <POSTING>
                  <xsl:value-of select="posting"/>
               </POSTING>
            </ROW>
         </xsl:for-each>
      </ROWSET>
   </xsl:template>
</xsl:stylesheet>

