<!-- TechnicalPaper.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output indent="yes" doctype-system="TechnicalPaper.dtd"/>
  <xsl:param name="Conference"/>
  <xsl:template match="/ROWSET/ROW">
    <TechnicalPaper Id="{ID}" Conference="{$Conference}">
      <Subject><xsl:value-of select="TITLE"/></Subject>
        <Presenter Email="{EMAIL}">
          <Name><xsl:value-of select="PRESENTER"/></Name>
        </Presenter>
      <Summary><xsl:value-of select="ABSTRACT"/></Summary>
    </TechnicalPaper>
  </xsl:template>
</xsl:stylesheet>
