import oracle.sql.CLOB;
import java.io.*;
import oracle.xml.parser.v2.*;
import java.net.URL;

public class DTDFromClob {

  public static DTD read( CLOB theClob, String rootElement) throws Exception {

    // Create an oracle.xml.parser.v2.DOMParser to parse the document.
    DOMParser theParser = new DOMParser();

    // Parse the document from the Clob's input stream
    theParser.parseDTD(theClob.getCharacterStream(), rootElement);

    // Get the parsed XML Document from the parser
    return theParser.getDoctype();

  }

}