<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Import all the templates from "TableBaseWithCSS.xsl" as a base -->
  <xsl:import href="TableBaseWithCSS.xsl"/>
  <!-- Another technique for alternating row colors -->
  <xsl:template match="ROW">
    <!-- value of class attribute will alternate between "tr0" and "tr1" -->
    <tr class="tr{position() mod 2}"><xsl:apply-templates/></tr>
  </xsl:template>
  <xsl:template match="ROW/SAL">
    <td align="right">
      <xsl:value-of select="format-number(.,'$0.00')"/>
    </td>
  </xsl:template>
</xsl:stylesheet>
