<!-- SortByPrice.xsl: Sort shopping-list items by price -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" />
  <xsl:template match="/">
    <xsl:for-each select="list/item">
      <xsl:sort select="price" data-type="number"/>
      <xsl:value-of select="name"/>
      <xsl:text>, $</xsl:text>
      <xsl:value-of select="price"/>
      <xsl:text>&#x0A;</xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
