	/*@lineinfo:filename=ShowQuotes.jsp*/
	/*@lineinfo:generated-code*/
package ch11;

import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import java.beans.*;
import AdvertisementBean;
import ConnectionBean;
import QueryBean;


public class ShowQuotes extends oracle.jsp.runtime.HttpJsp {

	public final String _globalsClassName = null;

	// ** Begin Declarations


	// ** End Declarations

	public void _jspService(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {

		response.setContentType( "text/xml");
		/* set up the intrinsic variables using the pageContext goober:
		** session = HttpSession
		** application = ServletContext
		** out = JspWriter
		** page = this
		** config = ServletConfig
		** all session/app beans declared in globals.jsa
		*/
		JspFactory factory = JspFactory.getDefaultFactory();
		PageContext pageContext = factory.getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
		// Note: this is not emitted if the session directive == false
		HttpSession session = pageContext.getSession();
		if (pageContext.getAttribute(OracleJspRuntime.JSP_REQUEST_REDIRECTED, PageContext.REQUEST_SCOPE) != null) {
			pageContext.setAttribute(OracleJspRuntime.JSP_PAGE_DONTNOTIFY, "true", PageContext.PAGE_SCOPE);
			factory.releasePageContext(pageContext);
			return;
}
		ServletContext application = pageContext.getServletContext();
		JspWriter out = pageContext.getOut();
		ShowQuotes page = this;
		ServletConfig config = pageContext.getServletConfig();

		try {
			// global beans
			// end global beans


			out.println( "<?xml version=\"1.0\"?>");
			out.println( "<Quotes>");
			/*@lineinfo:translated-code*//*@lineinfo:3^1*/QueryBean qb;
			if ((qb = (QueryBean) pageContext.getAttribute( "qb", PageContext.PAGE_SCOPE)) == null) {
				qb = (QueryBean) new QueryBean();
				pageContext.setAttribute( "qb", qb, PageContext.PAGE_SCOPE);
				/*@lineinfo:generated-code*/
				out.println( "");
			/*@lineinfo:translated-code*/			}
			/*@lineinfo:generated-code*/
			out.println( "");
			/*@lineinfo:user-code*//*@lineinfo:5^1*/qb.setQuery("SELECT q.symbol, q.price, q.change"+
			               "  FROM quotes q, portfolio_stocks ps"+
			               " WHERE q.symbol = ps.symbol "+
			               "   AND ps.owner = " + request.getParameter("id")); 
			/*@lineinfo:generated-code*/
			out.println( "");
			/*@lineinfo:user-code*//*@lineinfo:9^1*/while (qb.next ()) { 
			/*@lineinfo:generated-code*/
			out.println( "");
			out.println( "  <Quote>");
			out.print( "    <Symbol>");
			/*@lineinfo:user-code*//*@lineinfo:11^1*/out.print(  qb.column(1) );
			/*@lineinfo:generated-code*/
			out.println( "</Symbol>");
			out.print( "    <Price>");
			/*@lineinfo:user-code*//*@lineinfo:12^1*/out.print(   qb.column(2) );
			/*@lineinfo:generated-code*/
			out.println( "</Price>");
			out.print( "    <Change>");
			/*@lineinfo:user-code*//*@lineinfo:13^1*/out.print(  qb.column(3) );
			/*@lineinfo:generated-code*/
			out.println( "</Change>");
			out.println( "  </Quote>");
			/*@lineinfo:user-code*//*@lineinfo:15^1*/} qb.close(); 
			/*@lineinfo:generated-code*/
			out.println( "");
			out.println( "</Quotes>");

			out.flush();

		}
		catch( Exception e) {
			try {
				if (out != null) out.clear();
			}
			catch( Exception clearException) {
			}
			pageContext.handlePageException( e);
		}
		finally {
			if (out != null) out.close();
			factory.releasePageContext(pageContext);
		}

	}
}
