<!-- rowset-to-creditcardauth.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output doctype-system="creditcardauth.dtd" indent="yes"/>
  <xsl:template match="/">
    <xsl:for-each select="ROWSET/ROW">
      <AuthorizationRequest>
        <CardNumber><xsl:value-of select="CARD_NUMBER"/></CardNumber>
        <Expiration>
          <xsl:value-of select="EXP_MONTH"/>
          <xsl:text>/</xsl:text>
          <xsl:value-of select="EXP_YEAR"/>
        </Expiration>
        <Amount Currency="{CURRENCY}"><xsl:value-of select="AMOUNT"/></Amount>
        <MerchantId><xsl:value-of select="MERCHANT_ID"/></MerchantId>
        <Date><xsl:value-of select="REQUEST_DATE"/></Date>
      </AuthorizationRequest>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
