CREATE OR REPLACE PACKAGE BODY DeptOrEmp IS
  FUNCTION getInfo(id NUMBER) RETURN myCursorVariable IS
    the_cursor myCursorVariable;
  BEGIN
    IF id < 1000 THEN
       -- Open the cursor for a dept query using the id parameter passed
       -- in as the value of the :d bind variable.
       OPEN the_cursor
        FOR 'select * from dept where deptno = :d'
      USING id;
    ELSE
       -- Open the cursor for an emp query using the id parameter passed
       -- in as the value of the :e bind variable.
       OPEN the_cursor
        FOR 'select * from emp where empno = :e'
      USING id;
    END IF;
    RETURN the_cursor;
  END;
END;
