<!-- ColumnOverrides.xsl : handle one-off formatting special cases -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Anywhere a Topic appears in a <ROW>, link to drill-down -->
  <xsl:template match="ROW/Topic">
    <td>
      <a href="TopicPostings.xsql?id={../H_ID}">
        <xsl:apply-templates/>
      </a>
    </td>
  </xsl:template>
  <!-- Anywhere a Forum appears in a <ROW>, link to drill-down -->
  <xsl:template match="ROW/Forum">
    <td>
      <a href="ForumTopics.xsql?id={../H_ID}">
        <xsl:apply-templates/>
      </a>
    </td>
  </xsl:template>
</xsl:stylesheet>