<!-- Product.xsl: Format Web Store product information -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- For best results with HTML, best not in introduce extra whitespace -->
  <xsl:output method="html" indent="no"/>
  <xsl:template match="/">
    <html>
      <body>
        <center>
          <table border="0">
            <xsl:for-each select="ROWSET/ROW">
            <tr>
              <td valign="top">
                <b><xsl:value-of select="DESCRIPTION"/></b>
                by <xsl:value-of select="AUTHOR_NAME"/><br/>
                Other products by <a href="Maker.xsql?id={MAKER_ID}">
                                    <xsl:value-of select="MAKER_NAME"/>
                                  </a><br/>
                <table border="0">
                  <tr>
                    <td>
                      <img src="images/{SKU}.gif" />
                    </td>
                    <td valign="middle">
                      <b>List Price:</b><strike>
                                          <xsl:value-of select="LIST_PRICE"/>
                                        </strike><br/>
                      <b>Our Price: <font color="blue">
                                      <xsl:value-of select="PRICE"/>
                                    </font></b><br />
                       You Save: <b><xsl:value-of select="YOUSAVE"/></b><br/>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            </xsl:for-each>
          </table>
        </center>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
